import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/admin/login',
    method: 'post',
    data
  })
}

/**
* 用户列表
* @param {*} data
* @returns
*/
export const getUserList = (params) => request({
  url: '/admin/user', params
})

/**
* 注册账号
* @param {*} data
* @returns
*/
export const signUp = (data) => request({
  url: '/admin/signup',
  method: 'post',
  data
})

/**
 * 获取验证码
 * @param {*} params
 * @returns
 */
export const getCaptcha = (params) => request({
  url: '/admin/captcha', params
})
